// pages/opinionList/index.js


const app = getApp();
import { isNotEmptyCheck, formatDateYMDHMS } from "../../utils/dateUtil";
import { customRequest } from '../../utils/request.js';
Page({
  /**
   * 页面的初始数据
   */
  data: {
    list: [

    ],
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad (options) {
    this.getList()
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady () { },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow () { },

  getList () {
    let that = this
    wx.showLoading({
      title: '加载中',
      mask: true,
    });
    this.setData({
      isLoading: true
    })
    customRequest("/daotian/feedback/list", { header: 'headers', method: 'GET', data: {} }).then((res) => {
      if (res.data.status == 200) {
        res.data.data.list.forEach((item) => {
          item.updateTime = formatDateYMDHMS(item.updateTime)
        })
        wx.hideLoading();

        that.setData({
          list: res.data.data.list,

          isLoading: false
        })
      }
    }).catch(() => {
      wx.hideLoading();
      this.setData({
        isLoading: false
      })
    })
    // wx.request({
    //   url: app.globalData.ip + "/daotian/feedback/list",
    //   method: 'get',
    //   header: app.globalData.headers,
    //   success: function (res) {
    //     console.log(res);
    //     if (res.data.status == 200) {
    //       res.data.data.list.forEach((item) => {
    //         item.updateTime = formatDateYMDHMS(item.updateTime)
    //       })

    //       that.setData({
    //         list: res.data.data.list

    //       })
    //     }
    //   },
    //   fail: function (res) {

    //   },
    //   complete: () => {
    //     wx.hideLoading();
    //     this.setData({
    //       isLoading: false
    //     })
    //   }

    // });
  },
  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide () { },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload () { },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh () { },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom () { },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage () { },
});
